Save a story intake path
Creates or updates an intake path by path_key. Public paths use a unique slug and must be active and public before anonymous submissions are accepted. Requires the impact_stories feature. Requires permission: one of impact_stories_manage.
curl --request POST \
--url https://api.gratona.com/v1/admin/impact-stories/intake-paths \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Field update from the education program",
"path_key": "Path Key",
"description": "Description",
"source_type": "manual",
"story_type": "field_update",
"status": "active",
"is_public": true,
"public_slug": "education-updates",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {}
}
'import requests
url = "https://api.gratona.com/v1/admin/impact-stories/intake-paths"
payload = {
"title": "Field update from the education program",
"path_key": "Path Key",
"description": "Description",
"source_type": "manual",
"story_type": "field_update",
"status": "active",
"is_public": True,
"public_slug": "education-updates",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Field update from the education program',
path_key: 'Path Key',
description: 'Description',
source_type: 'manual',
story_type: 'field_update',
status: 'active',
is_public: true,
public_slug: 'education-updates',
audience_json: {},
required_fields_json: {},
routing_json: {},
reuse_destinations_json: {},
source_settings_json: {}
})
};
fetch('https://api.gratona.com/v1/admin/impact-stories/intake-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/impact-stories/intake-paths",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Field update from the education program',
'path_key' => 'Path Key',
'description' => 'Description',
'source_type' => 'manual',
'story_type' => 'field_update',
'status' => 'active',
'is_public' => true,
'public_slug' => 'education-updates',
'audience_json' => [
],
'required_fields_json' => [
],
'routing_json' => [
],
'reuse_destinations_json' => [
],
'source_settings_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/impact-stories/intake-paths"
payload := strings.NewReader("{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/impact-stories/intake-paths")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/impact-stories/intake-paths")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"client_id": 42,
"path_key": "Education update",
"title": "Education update",
"description": "Education update",
"source_type": "Education update",
"story_type": "Education update",
"status": "Education update",
"public_slug": "Education update",
"public_url": "Education update",
"is_public": true,
"submission_count": 2,
"last_submission_at": "2026-10-20T12:00:00Z",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {},
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Body
Validated request fields for this operation.
Title. Validation: required, string, max:255.
255"Field update from the education program"
Path key. Validation: nullable, string, max:64.
64"Path Key"
Description. Validation: nullable, string, max:2000.
2000"Description"
Source type. Validation: nullable, string, max:64.
64"manual"
Story type. Validation: nullable, string, max:64.
64"field_update"
Status. Validation: nullable, string; allowed values: active, paused.
active, paused, null "active"
Is public. Validation: nullable, boolean.
true
Public slug. Validation: nullable, string, max:128.
128"education-updates"
Audience json. Validation: nullable, array.
Show child attributes
Show child attributes
Required fields json. Validation: nullable, array.
Show child attributes
Show child attributes
Routing json. Validation: nullable, array.
Show child attributes
Show child attributes
Reuse destinations json. Validation: nullable, array.
Show child attributes
Show child attributes
Source settings json. Validation: nullable, array.
Show child attributes
Show child attributes
Response
Operation result.
Intake path configuration. Default unpersisted setup choices can have id 0.
Show child attributes
Show child attributes
curl --request POST \
--url https://api.gratona.com/v1/admin/impact-stories/intake-paths \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Field update from the education program",
"path_key": "Path Key",
"description": "Description",
"source_type": "manual",
"story_type": "field_update",
"status": "active",
"is_public": true,
"public_slug": "education-updates",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {}
}
'import requests
url = "https://api.gratona.com/v1/admin/impact-stories/intake-paths"
payload = {
"title": "Field update from the education program",
"path_key": "Path Key",
"description": "Description",
"source_type": "manual",
"story_type": "field_update",
"status": "active",
"is_public": True,
"public_slug": "education-updates",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Field update from the education program',
path_key: 'Path Key',
description: 'Description',
source_type: 'manual',
story_type: 'field_update',
status: 'active',
is_public: true,
public_slug: 'education-updates',
audience_json: {},
required_fields_json: {},
routing_json: {},
reuse_destinations_json: {},
source_settings_json: {}
})
};
fetch('https://api.gratona.com/v1/admin/impact-stories/intake-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/impact-stories/intake-paths",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Field update from the education program',
'path_key' => 'Path Key',
'description' => 'Description',
'source_type' => 'manual',
'story_type' => 'field_update',
'status' => 'active',
'is_public' => true,
'public_slug' => 'education-updates',
'audience_json' => [
],
'required_fields_json' => [
],
'routing_json' => [
],
'reuse_destinations_json' => [
],
'source_settings_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/impact-stories/intake-paths"
payload := strings.NewReader("{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/impact-stories/intake-paths")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/impact-stories/intake-paths")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Field update from the education program\",\n \"path_key\": \"Path Key\",\n \"description\": \"Description\",\n \"source_type\": \"manual\",\n \"story_type\": \"field_update\",\n \"status\": \"active\",\n \"is_public\": true,\n \"public_slug\": \"education-updates\",\n \"audience_json\": {},\n \"required_fields_json\": {},\n \"routing_json\": {},\n \"reuse_destinations_json\": {},\n \"source_settings_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"client_id": 42,
"path_key": "Education update",
"title": "Education update",
"description": "Education update",
"source_type": "Education update",
"story_type": "Education update",
"status": "Education update",
"public_slug": "Education update",
"public_url": "Education update",
"is_public": true,
"submission_count": 2,
"last_submission_at": "2026-10-20T12:00:00Z",
"audience_json": {},
"required_fields_json": {},
"routing_json": {},
"reuse_destinations_json": {},
"source_settings_json": {},
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}